Subject: Re: [PATCH net-next v18 00/15] Begin upstreaming Homa transport protocol

From: Jakub Kicinski <[email-masked]>
Date: Sun, 12 Apr 2026 13:45:31 -0700

On Fri, 10 Apr 2026 13:02:54 -0700 John Ousterhout wrote:
> This patch series begins the process of upstreaming the Homa transport
> protocol. Homa is an alternative to TCP for use in datacenter
> environments. It provides 10-100x reductions in tail latency for short
> messages relative to TCP. Its benefits are greatest for mixed workloads
> containing both short and long messages running under high network loads.
> Homa is not API-compatible with TCP: it is connectionless and message-
> oriented (but still reliable and flow-controlled). Homa's new API not
> only contributes to its performance gains, but it also eliminates the
> massive amount of connection state required by TCP for highly connected
> datacenter workloads (Homa uses ~ 1 socket per application, whereas
> TCP requires a separate socket for each peer).

make coccicheck says:

net/homa/homa_peer.c:213:21-22: WARNING opportunity for swap()